---
const { level: Tag } = Astro.props;
---

<Tag class={`heading ${Tag}`}>
    <slot/>
</Tag>

<style>
    .heading {
        margin-block: 1.5em;
    }

    .h1 {
        font-size: 64px;
    }

    .h2 {
        font-size: 48px;
    }

    .h3 {
        font-size: 40px;
    }

    .h4 {
        font-size: 36px;
    }

    .h5 {
        font-size: 32px;
    }

    .h6 {
        font-size: 24px;
    }
</style>
